# -*- rpm-spec -*-
# $Id: nfs,v 1.18.2.1 2003/07/09 09:56:25 lioka Exp $

# This is currently not in the upstream
%define WITH_UGIDMAP 0

Name: nfs
Version: 1.0.1
Release: alt3
Serial: 1

Summary: The Linux NFS clients, utilities and server
License: GPL
Group: Networking/Other
Url: ftp://nfs.sourceforge.net/pub/%name

Source: %url/%name-utils-%version.tar.bz2
Source1: %url/%name.doc.tar.bz2
Source2: %name.init
Source3: %{name}lock.init

Patch1: %name-utils-0.2.1-makefile.patch
Patch2: %name-utils-0.3.3-drop-privs.patch
Patch3: %name-utils-0.3.1-statd-manpage.patch
Patch4: %name-utils-0.2.1-eepro-support.patch
Patch5: %name-utils-0.2.1-compile.patch
Patch6: %name-utils-0.3.3.ugidmap.patch.v3
Patch7: %name-utils-1.0.1-fix-xlog.patch

BuildRequires: tcp_wrappers-devel

%package clients
Summary: The Linux NFS clients and utilities
Group: Networking/Other
PreReq: shadow-utils, chkconfig
Requires: kernel >= 2.2.7, portmap >= 4.0
Provides: knfsd-clients, knfsd-lock, nfs-utils-clients
Obsoletes: knfsd-clients, knfsd-lock, nfs-utils-clients

%package server
Summary: The Linux NFS server
Group: Networking/Other
PreReq: shadow-utils, chkconfig, quota
Provides: nfs-utils, knfsd, nfs-server-clients
Obsoletes: nfs-utils, knfsd, nfs-server-clients

%description
This package provides the Linux NFS utilities and server.
This package replaces the old knfsd package.

%description clients
This package provides the Linux NFS clients and utilities.

%description server
This package provides the Linux NFS server.

%prep
%setup -q -n %name-utils-%version -a1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch7 -p0

%if %WITH_UGIDMAP
%patch6 -p1 -b .uidgid
%endif

%__bzip2 -9 nfs/*.ps

%build
%__autoconf
#
# Hack to enable netgroups.  If anybody knows the right way to do
# this, please help yourself.
#
ac_cv_func_innetgr=yes 
export CFLAGS="$CFLAGS -DRUN_AS_USER=\"\\\"rpcuser\\\"\" -DRUN_AS_FALLBACK=\"\\\"nobody\\\"\""

%define rest --enable-secure-statd
%if %WITH_UGIDMAP
%configure %rest --enable-ugidmapping
%else
%configure %rest
%endif


# SMP-incompatible
%__make all

%install
%__mkdir -p %buildroot{/sbin,%_sbindir,%_bindir,%_mandir/man{5,8},%_localstatedir/%name/statd}
%__make install STATEDIR=%buildroot%_localstatedir/%name install_prefix=%buildroot
%__install -p -m755 tools/rpcdebug/rpcdebug %buildroot/sbin
%__install -p -m755 -D %SOURCE2 %buildroot%_initdir/%name
%__install -p -m755 -D %SOURCE3 %buildroot%_initdir/%{name}lock

touch %buildroot%_localstatedir/%name/rmtab
%__mv %buildroot%_sbindir/rpc.{lockd,statd} %buildroot/sbin

%__mv %buildroot%_sbindir/showmount %buildroot%_bindir/showmount
%__ln_s ../..%_bindir/showmount %buildroot%_sbindir

# We are using quotad from quota utils.
%__rm -f %buildroot{%_sbindir/rpc.rquotad,%_man8dir/*rquotad.*}

%if %WITH_UGIDMAP
echo "[*]" > %buildroot%_sysconfdir/exports.map
%endif

%pre clients
%_sbindir/groupadd -r -f rpcuser &> /dev/null
%_sbindir/useradd -r -g rpcuser -d %_localstatedir/%name -s /dev/null -c 'RPC Service User' -n rpcuser &> /dev/null ||:

%post clients
%post_service %{name}lock

%post server
%post_service %name

%preun clients
%preun_service %{name}lock

%preun server
%preun_service %name

%files server
%doc nfs/*.{html,ps.bz2}
%if %WITH_UGIDMAP
%config(noreplace) %_sysconfdir/exports.map
%endif
%dir %_localstatedir/%name
%config(noreplace) %_initdir/%name
%config(noreplace) %_localstatedir/%name/xtab
%config(noreplace) %_localstatedir/%name/etab
%config(noreplace) %_localstatedir/%name/rmtab
%_sbindir/exportfs
%_sbindir/%{name}stat
%_sbindir/rpc.mountd
%_sbindir/rpc.%{name}d
%_man5dir/exports.*
%_man8dir/exportfs.*
%_man8dir/mountd.*
%_man8dir/%{name}d.*
%_man8dir/%{name}stat.*
%_man8dir/rpc.mountd.*
%_man8dir/rpc.%{name}d.*

%files clients
%doc README
%dir %_localstatedir/%name
%dir %attr(700,rpcuser,rpcuser) %_localstatedir/%name/statd
%config(noreplace) %_initdir/%{name}lock
/sbin/*
%_bindir/*
%_sbindir/nhfs*
%_sbindir/showmount
%_man8dir/rpc.statd.*
%_man8dir/statd.*
%_man8dir/showmount.*

%changelog
* Wed Jul  9 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1:1.0.1-alt3
- fixed xlog off-by-one bug

* Sat Oct 19 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1:1.0.1-alt2
- rebuilt in new env

* Wed Jul 24 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.0.1-alt1
- 1.0.1

* Sat Mar  2 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.3.3-alt2
- rpc.statd fixed

* Wed Feb 27 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.3.3-alt1
- readopted for ALT
- UID/GID mapping disabled by default

* Thu Feb 21 2002 Grigory Milev <week@altlinux.ru> 0.3.3-2aw
- fixed run levels in nfs.init script
- cleaunup post and preun install scripts

* Wed Jan 16 2002 Grigory Milev <week@altlinux.ru> 0.3.3-1aw
- spec cleanup for compatible with bte

* Tue Dec 04 2001 Alexander Bokovoy <a.bokovoy@sam-solutions.net> 0.3.3-1aw
- 0.3.3
- AW integration
- Updated:
  + drop-privs patch
  + syslog patch removed [already in upstream]
- Added:
  + UID/GID mapping [enabled by default]

* Mon May 28 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.3.1-alt2
- Added rquotad to nfs-server prereq list.

* Fri May 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.3.1-alt1
- 0.3.1
- Merged RH patches.

* Wed Apr 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.2.1-ipl5mdk
- Moved %_sbindir/showmount to %_bindir/showmount.

* Tue Jan 23 2001 Dmitry V. Levin <ldv@fandra.org> 0.2.1-ipl4mdk
- Merged RH fixes.

* Sun Jan 21 2001 Dmitry V. Levin <ldv@fandra.org> 0.2.1-ipl3mdk
- RE adaptions.
- Renamed packages to %name-server and %name-clients.
- Rewritten init scripts.
- Added more documentation.
- Merged RH patches.

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2.1-3mdk
- Nfslock only when we have a lockd into the kernel.

* Mon Oct 09 2000 Florin Grad <florin@mandrakesoft.com> 0.2.1-2mdk
- chkconfig is now 345 ... instead of - 60 ...

* Fri Sep 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.1-1mdk
- 0.2.1 bug fix release.

* Thu Sep 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-5mdk
- Florin or chmou sucks, pidofproc come from the
  /etc/init.d/functions.

* Wed Sep 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-4mdk
- nfslock: where pidofproc come from ? use pidof instead (florin).

* Thu Sep 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2-3mdk
- nfslock: don't kill lockd processes that do not have an executable
  (i.e. kernel threads).

* Thu Sep 07 2000 Florin Grad <florin@mandrakesoft.com> 0.2-2mdk
- added noreplace for %_inirddir/(nfs|nfslock)

* Thu Sep 07 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2-1mdk
- s/0.1.9.1/0.2/;

* Wed Aug 30 2000 Florin Grad <florin@mandrakesoft.com> 0.1.9.1-4mdk
- changing some macros

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.9.1-3mdk
- BM
- more macros

* Mon Jul 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.9.1-2mdk
- fix build with latest rpm macros

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.9.1-1mdk
- new release (mainly turning gcc warnings off)
- fix build as non root with tmpdir

* Mon Jul  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.9-1mdk
- 0.1.9.

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.8-1mdk
- 0.1.8.
- Macrozifications.

* Sun May 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.7-3mdk
- Fix path call (/usr/sbin !> /sbin/).
- Launch always rpc.statd.

* Wed Apr 06 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.1.7-2mdk
- Renamed linusinit patch to mdkinit.
- Do not grep for linus in /proc/version, but for mdk
  (Thanks to Jrgen Zimmermann)

* Wed Mar 22 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.1.7-1mdk
- Update to 0.1.7.
- Fix group.

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.6-1mdk
- 0.1.6.

* Tue Dec 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.1.5.
- Fix init script with kernel-linus.

* Mon Dec 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.1.4.

* Tue Nov 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.1.3.

* Thu Nov 25 1999 Pixel <pixel@linux-mandrake.com>
- fixed %defattr
- split in 2 packages: nfs-utils-clients & nfs-utils (for server)

* Fri Nov 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last cvs version.

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 0.1.2

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.1.1.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First Spec files based on original version of H.J Lu.

